<template>
  <v-row>
    <v-col cols="12">
      <v-card class="pa-3" elevation="10">
        <v-card-text>
          <div class="d-flex align-center">
            <div>
              <h3 class="text-h5 title">Progress</h3>
            </div>
            <div class="ml-auto">
              <div class="d-flex align-center">
                <div class="d-flex align-center px-2">
                  <div>
                    <v-btn variant="text" class="mdi mdi-autorenew bg-success2" size="30" ></v-btn>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div v-show="elementVisible" class="mt-1">
            <apexchart
              type="radialBar"
              height="220"
              :options="chartOptions"
              :series="Chart.series"
            ></apexchart>
            <!-- แสดง list แต่ละสี -->
            <div class="d-flex align-center px-2">
                <span class="text-overline" style="color: #FD8785;">
                  <i class="mdi mdi-brightness-1 mx-1"></i>
                </span>
                <span class="font-weight-regular">Health</span>
            </div>
            <div class="d-flex align-center px-2">
                <span class="text-overline" style="color: #5DB3A8;">
                  <i class="mdi mdi-brightness-1 mx-1"></i>
                </span>
                <span class="font-weight-regular">Continue treatment</span>
            </div>
            <div class="d-flex align-center px-2">
                <span class="text-overline" style="color: #FFB452;">
                  <i class="mdi mdi-brightness-1 mx-1"></i>
                </span>
                <span class="font-weight-regular">Neutral</span>
            </div>
          </div>

          
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>

<script setup lang="ts">
import { ref, onMounted, computed } from "vue";
// นิยามตัวแปร chartOptions โดยใช้ computed property
const chartOptions = computed(() => {
  return {
    plotOptions: {
      radialBar: {
        hollow: {
          margin: 0,
          size: "50%",
          background: "#fff",
          image: undefined,
          position: "front",
          dropShadow: {
            enabled: false,
            top: 0,
            left: 0,
            blur: 3,
            opacity: 0.5,
          },
        },
        track: {
          background: "#f2f2f2",
          strokeWidth: "100%",
        },
        dataLabels: {
          name: {
            show: false,
          },
          value: {
            offsetY: -2,
            fontSize: "22px",
          },
        },
      },
    },
    colors: ["#5DB3A8", "#FD8785","#FFB55C"],
    fill: { type: "solid", opacity: 1 },
    chart: {
      toolbar: { show: false },
      foreColor: "#adb0bb",
      fontFamily: "Poppins",
    },
    stroke: { lineCap: "round" },
    labels: ["Health", "Continue treatment","Neutral"], 
  };
});

const Chart = {
  series: [90, 70, 30], 
};

const elementVisible = ref(false);
onMounted(() => {
  setTimeout(() => (elementVisible.value = true), 10);
});
</script>